%define	lib_name_orig	lib%{name}
%define	lib_major	1
%define	lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_devel	%{mklibname -d wine}

Name:		wine
#(peroyvind): please do backports for new versions
Version:	0.9.58
%define subrel 1
Release:	%mkrel 2
Epoch:		1
Summary:	WINE Is Not An Emulator - runs MS Windows programs
License:	LGPLv2+
Group:		Emulators
URL:		http://www.winehq.com/
BuildRoot:      %_tmppath/%{name}-%{version}-%{release}-buildroot
Source0:	http://ibiblio.org/pub/linux/system/emulators/wine/%{name}-%{version}.tar.bz2
Source1:	http://ibiblio.org/pub/linux/system/emulators/wine/%{name}-%{version}.tar.bz2.sign

# RH stuff
Source2:        wine.init
# Patch108 assumes floppy is mounted at /media rather than /mnt,
# which is only available in >= 2008.0
Patch108:	wine-0.9.58-wineprefixcreate-mdkconf.patch
# (fc) 0.9.55-2mdv use esd by default for PulseAudio (2008.1 and later)
#(peroyvind): Ressurected patch, but only use if other alternatives fails. Ie. if
#             alsa is busy due to pulseaudio being used, it will use esd. Preferring
#             it as a last alternative due to latency issues with pulseaudio..
Patch109:	wine-0.9.56-use-esd-if-other-fails.patch
# (eandry) generate symbol ttf font file
Patch110:	wine-fontforge-symbol-font.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# (anssi) Wine does not yet build on x86_64 without hacks (as of 0.9.42). Note
# also that 64-bit wine cannot run 32-bit programs, so it should be named
# differently. Also, 64-bit wine cannot yet run 64-bit Windows programs
# either. When it does, upstream will at some point possibly implement it so
# that 64-bit loader can use both 32-bit and 64-bit wine libraries. Do not
# hold your breath, though, as this is very low priority.
ExclusiveArch:	%{ix86}
BuildRequires:	bison flex gpm-devel perl-devel ncurses-devel sgml-tools
BuildRequires:	X11-devel freetype2-devel autoconf2.5 docbook-utils docbook-dtd-sgml
BuildRequires:	cups-devel jackit-devel ImageMagick isdn4k-utils-devel xpm-devel
BuildRequires:	sane-devel glibc-static-devel esound-devel ungif-devel chrpath
BuildRequires:	desktop-file-utils libalsa-devel openldap-devel lcms-devel
BuildRequires:	nas-devel libxslt-devel dbus-devel hal-devel
BuildRequires:	fontforge
%if %mdkversion >= 200700
BuildRequires:	mesaglu-devel
%else
BuildRequires:	MesaGLU-devel
%endif
%if %mdkversion >= 1020
BuildRequires:	fontforge
%endif
Provides:	wine-utils = %{epoch}:%{version}-%{release} wine-full = %{epoch}:%{version}-%{release}
Provides:	%{lib_name}-capi = %{epoch}:%{version}-%{release} %{lib_name}-twain = %{epoch}:%{version}-%{release}
Obsoletes:	wine-utils wine-full %{lib_name}-capi %{lib_name}-twain
Requires:	freetype2 %{lib_name} = %{epoch}:%{version}
%if %mdkversion >= 200700
Requires:	xmessage
%else
Requires:	X11R6-contrib
%endif
%if %mdkversion >= 200700
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
%endif
Requires(post): desktop-common-data
Requires(postun): desktop-common-data
Requires(preun): rpm-helper
Requires(post):	rpm-helper
%define	_requires_exceptions	libgphoto*\\|libieee1284*\\|libjpeg*\\|libsane*\\|libusb*\\|libesd*\\|libarts*\\|libasound*\\|libaudio*
Conflicts:	wine < 1:0.9-3mdk

%description
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix.  It
consists of a program loader which loads and executes a Microsoft
Windows binary, and a library (called Winelib) that implements Windows
API calls using their Unix or X11 equivalents.  The library may also
be used for porting Win32 code into native Unix executables.

%package -n	%{lib_name}
Summary:	Libraries for %{name}
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{epoch}:%{version}-%{release}
Requires(post): sed
Requires(postun): sed
Conflicts:	wine < 1:0.9-3mdk
Conflicts:	wine-utils < 1:0.9-3mdk

%description -n %{lib_name}
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix.

This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.
Wine is often updated.

%package -n	%{lib_name_devel}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Requires:	%{lib_name} = %{epoch}:%{version}
Provides:	%{lib_name_orig}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	wine-devel
Provides:	wine-devel
Obsoletes:	%{mklibname -d wine 1} < %{epoch}:%{version}

%description -n	%{lib_name_devel}
Wine is a program which allows running Microsoft Windows programs
(including DOS, Windows 3.x and Win32 executables) on Unix.

%{lib_name_devel} contains the libraries and header files needed to
develop programs which make use of wine.

Wine is often updated.

%prep
%setup -q
find . -type d -name CVS|xargs rm -rf
%patch108 -p1 -b .conf
%if %mdkversion >= 200810
%patch109 -p1 -b .esd
%endif
%patch110

%build
%ifarch %ix86
# (Anssi 04/2008) bug #39604
# Some protection systems complain "debugger detected" with our
# -fomit-frame-pointer flag, so disable it.
export CFLAGS="%{optflags} -fno-omit-frame-pointer"
%endif

autoconf
%configure2_5x	--with-x \
		--enable-opengl \
%ifarch x86_64
		--enable-win64
%endif

make depend
%make
%make -C programs

%install
rm -rf %{buildroot}
%makeinstall_std LDCONFIG=/bin/true 

%makeinstall_std -C programs prefix=%{buildroot}%{_prefix}

# Danny: dirty:
install -m755 tools/fnt2bdf -D %{buildroot}%{_bindir}/fnt2bdf

# Allow users to launch Windows programs by just clicking on the .exe file...
install -m755 %{SOURCE2} -D %{buildroot}%{_initrddir}/%{name}

mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
cat > %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged/mandriva-%{name}.menu <<EOF
<!DOCTYPE Menu PUBLIC "-//freedesktop//DTD Menu 1.0//EN"
"http://www.freedesktop.org/standards/menu-spec/menu-1.0.dtd">
<Menu>
    <Name>Applications</Name>
    <Menu>
%if %{mdkversion} >= 200800
        <Name>Tools</Name>
%else
        <Name>More Applications</Name>
%endif
        <Menu>
            <Name>Emulators</Name>
            <Menu>
                <Name>Wine</Name>
                <Directory>mandriva-%{name}.directory</Directory>
                <Include>
                    <Category>X-MandrivaLinux-MoreApplications-Emulators-Wine</Category>
                </Include>
            </Menu>
        </Menu>
    </Menu>
</Menu>
EOF

mkdir -p %{buildroot}%{_datadir}/desktop-directories
cat > %{buildroot}%{_datadir}/desktop-directories/mandriva-%{name}.directory <<EOF
[Desktop Entry]
Name=Wine
Icon=%{name}
Type=Directory
EOF

mkdir -p %{buildroot}%{_datadir}/applications/
for i in	winecfg:Configurator \
		notepad:Notepad \
		uninstaller:Software\ Manager \
		progman:Program\ Manager \
		winefile:File\ Manager \
		regedit:Registry\ Editor \
		winemine:Minesweeper;
do cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}-`echo $i|cut -d: -f1`.desktop << EOF
[Desktop Entry]
Name=`echo $i|cut -d: -f2`
Comment=`echo $i|cut -d: -f2`
Exec=`echo $i|cut -d: -f1`
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators-Wine;
EOF
done

# Categories=Emulator does nothing and is added as a workaround to kde #27700
desktop-file-install	--vendor="" \
			--add-mime-type=application/x-zip-compressed \
			--remove-mime-type=application/x-zip-compressed \
			--add-category=Emulator \
			--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/wine.desktop

install -d %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
convert programs/winemenubuilder/wine.xpm -size 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert programs/winemenubuilder/wine.xpm -size 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert programs/winemenubuilder/wine.xpm -size 48x48 %{buildroot}%{_liconsdir}/%{name}.png

chrpath -d %{buildroot}%{_bindir}/{wine,wine-?thread,wineserver,wmc,wrc} %{buildroot}%{_libdir}/%{name}/*.so

%clean
rm -fr %{buildroot}

%preun
%_preun_service %{name}

%post
%_post_service %{name}
%if %mdkversion >= 200700
%{update_desktop_database}
%endif
%{update_menus}

%postun
%if %mdkversion >= 200700
%{clean_desktop_database}
%endif
%{clean_menus}

%post -n %{lib_name}
%{__sed} -i "N;s#%{_libdir}/wine\n##g" %{_sysconfdir}/ld.so.conf
/sbin/ldconfig

%postun -n %{lib_name}
%{__sed} -i "N;s#%{_libdir}/wine\n##g" %{_sysconfdir}/ld.so.conf
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS README
%{_initrddir}/%{name}
%{_bindir}/wine-?thread
%{_bindir}/wine
%{_bindir}/winecfg
%{_bindir}/wineconsole*
%{_bindir}/wineserver
%{_bindir}/wineboot
%{_bindir}/function_grep.pl
%{_bindir}/wineshelllink
%{_bindir}/winebrowser
%{_bindir}/wineprefixcreate
%{_bindir}/wine-preloader
%{_bindir}/msiexec
%{_bindir}/notepad
%{_bindir}/progman
%{_bindir}/regedit
%{_bindir}/uninstaller
%{_bindir}/winemine
%{_bindir}/winepath
%{_bindir}/winhelp
%{_bindir}/regsvr32
%{_bindir}/winefile
%{_bindir}/winelauncher
%{_mandir}/man1/wine.1*
%lang(de) %{_mandir}/de.UTF-8/man1/wine.1*
%lang(fr) %{_mandir}/fr.UTF-8/man1/*
%{_mandir}/man1/wineserver.1*
%{_mandir}/man1/wineprefixcreate.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/generic.ppd
%{_datadir}/%{name}/%{name}.inf
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/menus/applications-merged/mandriva-%{name}.menu
%{_datadir}/desktop-directories/mandriva-%{name}.directory
%if %mdkversion >= 1020
%dir %{_datadir}/wine/fonts
%{_datadir}/wine/fonts/*
%endif
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libwine*.so.%{lib_major}*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.drv.so
%{_libdir}/%{name}/*.dll.so
%{_libdir}/%{name}/*.exe.so
%{_libdir}/%{name}/*.acm.so
%{_libdir}/%{name}/*.ocx.so
%{_libdir}/%{name}/*.vxd.so
%{_libdir}/%{name}/*.tlb.so
%{_libdir}/%{name}/*.ds.so
%{_libdir}/%{name}/*.sys.so
%{_libdir}/%{name}/*16

%files -n %{lib_name_devel}
%defattr(-,root,root)
%doc ChangeLog
%{_libdir}/%{name}/*.a
%{_libdir}/libwine*.so
%{_libdir}/%{name}/*.def
%{_includedir}/*
%{_datadir}/aclocal/*
%{_bindir}/fnt2bdf
%{_bindir}/wmc
%{_bindir}/wrc
%{_bindir}/winebuild
%{_bindir}/winegcc
%{_bindir}/wineg++
%{_bindir}/winecpp
%{_bindir}/widl
%{_bindir}/winedbg
%{_bindir}/winemaker
%{_bindir}/winedump
%{_mandir}/man1/wmc.1*
%{_mandir}/man1/wrc.1*
%{_mandir}/man1/winebuild.1*
%{_mandir}/man1/winemaker.1*
%{_mandir}/man1/winedump.1*
%{_mandir}/man1/widl.1*
%{_mandir}/man1/winedbg.1*
%{_mandir}/man1/wineg++.1*
%{_mandir}/man1/winegcc.1*


%changelog
* Sun Apr 13 2008 Anssi Hannula <anssi@mandriva.org> 1:0.9.58-2.1mdv2008.1
+ Revision: 192639
- fix "debugger detected" errors with some protection systems (#39604)
  by disabling -fomit-frame-pointer

* Sun Mar 30 2008 Anssi Hannula <anssi@mandriva.org> 1:0.9.58-2mdv2008.1
+ Revision: 191173
- revert commit 191172 (Emmanuel Aundry), there is no --disable-debug
  option (debugging is still enabled)

  + Emmanuel Andry <eandry@mandriva.org>
    - disable debug to please cd protections
    - add patch from ubuntu to fix some font rendering (#39552)

* Mon Mar 24 2008 Anssi Hannula <anssi@mandriva.org> 1:0.9.58-1mdv2008.1
+ Revision: 189764
- move wine backport branch as the main branch
- new version
- rediff mdkconf patch
- prepare branch for backporting wine during 2008.1 freeze

* Thu Mar 20 2008 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1:0.9.56-2mdv2008.1
+ Revision: 189141
- sorta ressurect esd patch since there's still issues (remaining issues seems to lie
  with pulseaudio and not wine), but only use esd if alsa fails (ie. in case of
  pulseaudio occupying sound device). This way you'll only get wine wine sound latency
  in cases where you otherwise wouldn't have any sound at all. (P109)

* Sun Feb 24 2008 Funda Wang <fundawang@mandriva.org> 1:0.9.56-1mdv2008.1
+ Revision: 174204
- New version 0.9.56

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.9.55-4mdv2008.1
+ Revision: 171173
- rebuild

* Thu Feb 14 2008 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1:0.9.55-3mdv2008.1
+ Revision: 167747
- drop bogus patch for #37259 as it's not only wrong, but also broken
- drop symlink for /media/cdrom as it's handled by HAL (#37362)

* Wed Feb 13 2008 Frederic Crozat <fcrozat@mandriva.com> 1:0.9.55-2mdv2008.1
+ Revision: 167078
- Patch109: try esd before Alsa for PulseAudio (only on 2008.1 and later) (Mdv bug #37259)

  + Funda Wang <fundawang@mandriva.org>
    - New devel package policy

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 1:0.9.55-1mdv2008.1
+ Revision: 164391
- New version 0.9.55

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - fix inccorect link to cdrom  & floppy in wineprefixcreate (fixes #37362)

* Sat Jan 26 2008 Funda Wang <fundawang@mandriva.org> 1:0.9.54-1mdv2008.1
+ Revision: 158296
- New version 0.9.54

* Sat Jan 12 2008 Funda Wang <fundawang@mandriva.org> 1:0.9.53-1mdv2008.1
+ Revision: 149704
- New version 0.9.53
- restore buildroot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 29 2007 Funda Wang <fundawang@mandriva.org> 1:0.9.52-1mdv2008.1
+ Revision: 139050
- New version 0.9.52

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Funda Wang <fundawang@mandriva.org> 1:0.9.51-1mdv2008.1
+ Revision: 120291
- add de man page
- New version 0.9.51

* Sat Dec 01 2007 Funda Wang <fundawang@mandriva.org> 1:0.9.50-1mdv2008.1
+ Revision: 114240
- New version 0.9.50

* Sat Nov 10 2007 Funda Wang <fundawang@mandriva.org> 1:0.9.49-1mdv2008.1
+ Revision: 107403
- New version 0.9.49

* Tue Nov 06 2007 Funda Wang <fundawang@mandriva.org> 1:0.9.48-2mdv2008.1
+ Revision: 106463
- rebuild for new lzma

* Sun Oct 28 2007 Funda Wang <fundawang@mandriva.org> 1:0.9.48-1mdv2008.1
+ Revision: 102744
- New version 0.9.48

* Sat Oct 13 2007 Funda Wang <fundawang@mandriva.org> 1:0.9.47-1mdv2008.1
+ Revision: 97817
- New version 0.9.47

* Tue Oct 09 2007 Funda Wang <fundawang@mandriva.org> 1:0.9.46-1mdv2008.1
+ Revision: 96063
- New version 0.9.46
- drop old menu

* Fri Aug 31 2007 Anssi Hannula <anssi@mandriva.org> 1:0.9.44-2mdv2008.0
+ Revision: 76970
- adapt wine submenu to the new menu structure

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sat Aug 25 2007 Funda Wang <fundawang@mandriva.org> 1:0.9.44-1mdv2008.0
+ Revision: 71334
- rediff prefix patch
- New version 0.9.44

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:0.9.43-2mdv2008.0
+ Revision: 69712
- kill ldconfig require as requested by pixel

* Sun Aug 12 2007 Funda Wang <fundawang@mandriva.org> 1:0.9.43-1mdv2008.0
+ Revision: 62172
- New version 0.9.43

* Fri Aug 03 2007 Anssi Hannula <anssi@mandriva.org> 1:0.9.42-1mdv2008.0
+ Revision: 58393
- 0.9.42

* Sat Jul 14 2007 Funda Wang <fundawang@mandriva.org> 1:0.9.41-1mdv2008.0
+ Revision: 52009
- New version

* Sat Jun 30 2007 Funda Wang <fundawang@mandriva.org> 1:0.9.40-1mdv2008.0
+ Revision: 45993
- New version

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 1:0.9.39-2mdv2008.0
+ Revision: 44945
- rebuild with new rpm-mandriva-setup (-fstack-protector)

* Sat Jun 16 2007 Funda Wang <fundawang@mandriva.org> 1:0.9.39-1mdv2008.0
+ Revision: 40325
- New version

* Fri Jun 01 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1:0.9.38-1mdv2008.0
+ Revision: 34387
- new release: 0.9.38

* Sat May 12 2007 David Walluck <walluck@mandriva.org> 1:0.9.37-1mdv2008.0
+ Revision: 26415
- 0.9.37

* Fri Apr 27 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1:0.9.36-1mdv2008.0
+ Revision: 18750
- oops, forgot signature
- new release: 0.9.36

* Thu Apr 19 2007 David Walluck <walluck@mandriva.org> 1:0.9.35-1mdv2008.0
+ Revision: 14962
- 0.9.35
- 0.9.34


* Sun Mar 18 2007 David Walluck <walluck@mandriva.org>
+ 2007-03-18 19:40:25 (146189)
- 0.9.33

* Sun Mar 04 2007 Anssi Hannula <anssi@mandriva.org> 0.9.32-1mdv2007.1
+ 2007-03-04 02:48:54 (131975)
- remove source1 from spec too (SILENT)
- from Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - new release: 0.9.32

* Fri Feb 16 2007 David Walluck <walluck@mandriva.org> 0.9.31-1mdv2007.1
+ 2007-02-16 23:17:01 (122042)
- 0.9.31
  bunzip2 patches
  wine.init should not be mode 755 in SRPM

* Sun Jan 28 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.30-1mdv2007.1
+ 2007-01-28 13:16:56 (114488)
- new release: 0.9.30
  drop P112 (fixed upstream)

* Thu Jan 11 2007 Anssi Hannula <anssi@mandriva.org> 0.9.29-1mdv2007.1
+ 2007-01-11 22:01:12 (107674)
- 0.9.29

* Fri Dec 22 2006 Anssi Hannula <anssi@mandriva.org> 0.9.28-1mdv2007.1
+ 2006-12-22 20:01:19 (101655)
- 0.9.28

* Sat Dec 16 2006 Anssi Hannula <anssi@mandriva.org> 0.9.27-2mdv2007.1
+ 2006-12-16 03:46:22 (98021)
- add a workaround for kde .exe association (#27700)

* Sat Dec 16 2006 Anssi Hannula <anssi@mandriva.org> 0.9.27-1mdv2007.1
+ 2006-12-16 01:46:11 (98013)
- 0.9.27
  o requires Mandriva 2007.0 or newer for start menu entry creation
- clean already removed patches from spec
- drop non-working patch107, start menu and desktop entries now as upstream
- add xdg wine submenu
- remove rpath from wmc and wrc too

* Fri Dec 01 2006 Anssi Hannula <anssi@mandriva.org> 0.9.26-1mdv2007.1
+ 2006-12-01 15:47:08 (89701)
- 0.9.26

* Sat Nov 11 2006 Anssi Hannula <anssi@mandriva.org> 0.9.25-1mdv2007.1
+ 2006-11-11 23:02:35 (83226)
- 0.9.25

* Sat Nov 04 2006 Anssi Hannula <anssi@mandriva.org> 0.9.24-1mdv2007.1
+ 2006-11-04 22:11:49 (76646)
- update filelist
- 0.9.24
- disable x86_64 as it does not build correctly yet
- Import wine

* Sat Sep 16 2006 Anssi Hannula <anssi@mandriva.org> 0.9.20-5mdv2007.0
- rebuild to fix binary rpm upload

* Tue Sep 12 2006 Anssi Hannula <anssi@mandriva.org> 0.9.20-4mdv2007.0
- fix buildrequires

* Sun Sep 10 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.20-3mdv2007.0
- fix install of fnt2bdf

* Sat Aug 26 2006 Götz Waschk <waschk@mandriva.org> 0.9.20-2mdv2007.0
- fix buildrequires

* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.20-1mdv2007.0
- New release 0.9.20

* Fri Aug 11 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1:0.9.19-1mdv2007.0
- New release 0.9.19

* Thu Aug 03 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.18-2mdv2007.0
- initscript fixes:
	o do a check before trying to enable wine registration
	o fix formatting of success/failure output
	o use gprintf in stead of echo to make it translatable

* Tue Aug 01 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.18-1mdv2007.0
- 0.9.18

* Sun Jul 16 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1:0.9.17-1mdv2007.0
- New release 0.9.17
- new xdg menu (that might be broken:p)
- fix macro-in-%%changelog

* Fri Jun 23 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.16-1mdv2007.0
- New release 0.9.16
- fix backport for 2006.0
- don't build on sparc

* Wed Jun 14 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.15-1mdv2007.0
- 0.9.15

* Fri May 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.14-1mdk
- New release 0.9.14

* Sat May 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9.13-3mdk
- fix requires for xorg7 (s/X11R6-contrib/xmessage/)
- fix buildrequires

* Sat May 13 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.13-2mdk
- fix path in menu P207 (fixes #21842)

* Fri May 12 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1:0.9.13-1mdk
- New release 0.9.13
- get rid of rpath

* Thu Apr 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.12-1mdk
- New release 0.9.12

* Sat Apr 01 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.11-1mdk
- New release 0.9.11

* Sat Apr 01 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.10-2mdk
- Rebuild

* Thu Mar 16 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.10-1mdk
- New release 0.9.10

* Fri Mar 03 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.9-1mdk
- New release 0.9.9

* Mon Feb 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.8-1mdk
- New release 0.9.8
- drop destdir patch (P1) as it's finally fixed upstream!

* Thu Feb 02 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.7-1mdk
- 0.9.7
- requires(bla,bla) -> requires(bla) requires(bla)

* Thu Jan 19 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.6-1mdk
- New release 0.9.6
- drop P115 (fixed upstream)

* Thu Jan 12 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.5-3mdk
- fix WMF vulnerability (P115, from Ubuntu)

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 0.9.5-2mdk
- convert parallel init to LSB

* Fri Jan 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.5-1mdk
- New release 0.9.5

* Tue Jan 03 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.4-3mdk
- parallel init support

* Sat Dec 31 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.4-2mdk
- force dependency on current library version (fixes #19522)

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.4-1mdk
- New release 0.9.4

* Mon Dec 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.3-1mdk
- New release 0.9.3
- drop P113

* Thu Nov 24 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.2-1mdk
- New release 0.9.2

* Tue Nov 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.1-1mdk
- new release

* Fri Oct 28 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9-3mdk
- gah, fix conflicts

* Thu Oct 27 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9-2mdk
- merge back in twain and capi libraries and rather exclude them from depencies
  as they're softlinked and the availability will be automatically detected
- remove autoreq on sound daemon libraries for the same reason
- update url for source

* Wed Oct 26 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9-1mdk
- 0.9 (first beta after 12 years! :o)
- add epoch due to new versioning
- don't build on ppc (by spturtle's request, doesn't build)

* Sat Oct 01 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050930-1mdk
- 20050930
- regenerate wineprefix patch (P108)
- drop esd patch (P109, merged upstream)
- drop fontforge patch (P114, fixed upstream)

* Wed Aug 31 2005 Buchan Milne <bgmilne@linux-mandrake.com> 20050725-6mdk
- Rebuild for new libldap-2.2

* Tue Aug 30 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050725-5mdk
- fix problem with conflicts by adding version to provides (fixes #17927)

* Thu Aug 25 2005 Laurent MONTEL <lmontel@mandriva.com> 20050725-4
- Fix upgrade from 10.1

* Tue Aug 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050725-3mdk
- fix initscript (rewrote S2, fixes #17676)
- fix upgrade by adding conflicts (fixes #17737)
- fix build with new fontforge (P114 from wine cvs)

* Sat Aug 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050725-2mdk
- fix so that esd support is automatically detected by winecfg and also added
  to the driver list (added to P109)
- try to detect oss after other sound drivers, otherwise it will be detected
  first even if there are other drivers (added to to P113)
- fix requires(pre,postun,preun)
- fix requires-on-release
- nuke wine-utils and wine-full packages and rather just move the user
  utils to main wine package and the devel utils to the devel package
- drop mdk 8.2 specific stuff
- don't add library dir to /etc/ld.so.conf anymore, remove the old line
- clean out old junk!!

* Fri Aug 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050725-1mdk
- 20050725
- add back esd support (P109)
- drop wine wrapper script as it's no longer needed (drop S104, modifies P108,
  should also fix #9350)

* Sun Jul 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050628-3mdk
- move winecfg to main package as it's now usable and the only way to configure wine
- fix dangling-relative-symlink by moving symlink for twain to twain package

* Sat Jul 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050628-2mdk
- arg, by an accident last release got shipped with an old version of wine-launcher.sh,
  ship new one again

* Fri Jul 08 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050628-1mdk
- 20050628
- all configs have been moved to registry, therefore remove those configs (S200 & P100)
- don't build documentation

* Fri Jun 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050524-1mdk
- 20050524
- fix build with newer alsa (P112 from gentoo)
- add missing buildrequires (fixes #16062)

* Sat Apr 30 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050419-2mdk
- don't build on x86_64
- fix build on older releases where fontforge isn't available (which 
  also makes it easier to rebuild package for the club:o)

* Fri Apr 29 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 20050419-1mdk
- 20050419
- regenerate P100
- drop directx9 patch (P111, merged upstream:)

* Sun Apr 17 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20050310-1mdk
- 20050310
- add directx9 patch (P111)
- update shellink patch (P107)
- %%mkrel
- fix executable-marked-as-config-file

* Wed Feb 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20050211-2mdk
- fix buildrequires

* Sun Feb 13 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20050211-1mdk
- 20050211

* Fri Jan 14 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20050111-1mdk
- 20040111
- drop apploader patch (P105) as it breaks current scripts
- drop P110 (fixed upstream)

* Wed Dec 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20041201-1mdk
- 20041201
- fix problem with preloader (P110, fixes #12438)
- regenerate P100

* Mon Nov 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20041019-1mdk
- 20041019
- regenerate P107
- wineclipsrv is no more, remove from %%files
- initial attempt on building win64 emulator on x64_64 (probably needs more work)

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040813-2mdk
- fix temp path in config file and remove some directories in path (P100)
- update launcher script (upstream changes) (S104)
- drop S103 & S105

* Wed Aug 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040813-1mdk
- 20040813
- regenerate P100
- drop P109 (added upstream)

* Fri Jul 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040716-2mdk
- add support for esd (P109)
- update wine-launcher.sh script (S104) to no longer use soundwrappers as we now
  have support for both arts and esd in wine

* Thu Jul 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040716-1mdk
- 20040716
- regenerate P100
- drop P106

* Wed Jun 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040615-2mdk
- fix buildrequires
- clean out old stuff from spec

* Sat Jun 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040615-1mdk
- 20040615
- adapt wineprefixcreate for mdk (P108, fixes #10074):
	o trash wine-config (S103 & S105)
	o no longer make a windows system i /var/lib/wine as we rather use a local
	  per user (trash S100)
	o update wine-launcher.sh (S104) to use wineprefixcreate
- regenerate P100
- add new files to %%files list
- do not build on sparc64

* Thu Jun 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040505-4mdk
- quick and dirty replacement for wine-config.pl (S105) for making drives in
  wine with symlinks (feedback wanted!)
- spec fixes

* Sat Jun 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040505-3mdk
- rebuild

* Thu May 13 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040505-2mdk
- 20040505
- drop P2
- regenerate P100

* Wed May 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040408-2mdk
- fix problem with $WINEPREFIX being overridden (fixes #9511 Frank <fwallingford@hotmail.com>)

* Thu Apr 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040408-1mdk
- 20040408
- regenerate P2 & P100

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040309-1mdk
- 20040309
- regenerate P100
- make a separate .wine-native directory for native windowsdir (from Danny, see #8823)
- update %%files list, files changed upstream

* Sun Mar 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 20040213-3mdk
- fix problems with arguments when none is specified (fixes #9100)

